Package org.eclipse.lemminx.settings

## Class SharedSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.SharedSettings

Direct Known Subclasses:
  `CompositeSettings`

    public class SharedSettings
    extends Object

SharedSettings

### Constructor Summary

Constructors
`SharedSettings()`
`SharedSettings​(SharedSettings newSettings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XMLCodeActionSettings` `getCodeActionSettings()`
`XMLCodeLensSettings` `getCodeLensSettings()`
`XMLCompletionSettings` `getCompletionSettings()`
`XMLFoldingSettings` `getFoldingSettings()`
`XMLFormattingOptions` `getFormattingSettings()`
`XMLHoverSettings` `getHoverSettings()`
`XMLPreferences` `getPreferences()`
`XMLSymbolSettings` `getSymbolSettings()`
`XMLValidationRootSettings` `getValidationSettings()`
`XMLWorkspaceSettings` `getWorkspaceSettings()`
`boolean` `isActionableNotificationSupport()` Returns true if the client supports actionable notifications and false otherwise See `ActionableNotification` and `XMLLanguageClientAPI`
`boolean` `isBindingWizardSupport()` Returns true if the client supports the `xml.open.binding.wizard` command using dropdown and false otherwise
`boolean` `isLinkedEditingEnabled()`
`boolean` `isOpenSettingsCommandSupport()` Returns true if the client supports the open settings command and false otherwise See `ClientCommands.OPEN_SETTINGS`
`void` `setActionableNotificationSupport​(boolean actionableNotificationSupport)` Sets the actionableNotificationSupport boolean
`void` `setBindingWizardSupport​(boolean bindingWizardSupport)` Sets the bindingWizardSupport boolean
`void` `setLinkedEditingEnabled​(boolean linkedEditingEnabled)`
`void` `setOpenSettingsCommandSupport​(boolean openSettingsCommandSupport)` Sets the openSettingsCommandSupport boolean

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SharedSettings

    public SharedSettings()

#### SharedSettings

    public SharedSettings​(SharedSettings newSettings)

### Method Detail

#### getCompletionSettings

    public XMLCompletionSettings getCompletionSettings()

#### getFoldingSettings

    public XMLFoldingSettings getFoldingSettings()

#### getFormattingSettings

    public XMLFormattingOptions getFormattingSettings()

#### getValidationSettings

    public XMLValidationRootSettings getValidationSettings()

#### getSymbolSettings

    public XMLSymbolSettings getSymbolSettings()

#### getCodeActionSettings

    public XMLCodeActionSettings getCodeActionSettings()

#### getCodeLensSettings

    public XMLCodeLensSettings getCodeLensSettings()

#### getHoverSettings

    public XMLHoverSettings getHoverSettings()

#### getPreferences

    public XMLPreferences getPreferences()

#### getWorkspaceSettings

    public XMLWorkspaceSettings getWorkspaceSettings()

#### isActionableNotificationSupport

    public boolean isActionableNotificationSupport()

Returns true if the client supports actionable notifications and false otherwise See `ActionableNotification` and `XMLLanguageClientAPI`

Returns:
  true if the client supports actionable notifications and false otherwise

#### setActionableNotificationSupport

    public void setActionableNotificationSupport​(boolean actionableNotificationSupport)

Sets the actionableNotificationSupport boolean

Parameters:
  `actionableNotificationSupport` -

#### isOpenSettingsCommandSupport

    public boolean isOpenSettingsCommandSupport()

Returns true if the client supports the open settings command and false otherwise See `ClientCommands.OPEN_SETTINGS`

Returns:
  true if the client supports the open settings command and false otherwise

#### setOpenSettingsCommandSupport

    public void setOpenSettingsCommandSupport​(boolean openSettingsCommandSupport)

Sets the openSettingsCommandSupport boolean

Parameters:
  `openSettingsCommandSupport` -

#### isBindingWizardSupport

    public boolean isBindingWizardSupport()

Returns true if the client supports the `xml.open.binding.wizard` command using dropdown and false otherwise

Returns:
  bindingWizardSupport

#### setBindingWizardSupport

    public void setBindingWizardSupport​(boolean bindingWizardSupport)

Sets the bindingWizardSupport boolean

Parameters:
  `bindingWizardSupport` -

#### setLinkedEditingEnabled

    public void setLinkedEditingEnabled​(boolean linkedEditingEnabled)

#### isLinkedEditingEnabled

    public boolean isLinkedEditingEnabled()